From 05e9cc4d9b9c86a367e3d46c65c7d2135cbba650 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 25 2020 00:07:20 +0000
Subject: [PATCH 12/2232] Merge pull request #21 from dtolnay/link


Use platform's default C++ standard library
---

diff --git a/Cargo.toml b/Cargo.toml
index 118c7ad..b120173 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -19,6 +19,7 @@ cc = "1.0.49"
 codespan = "0.7"
 codespan-reporting = "0.7"
 cxxbridge-macro = { version = "=0.1.2", path = "macro" }
+link-cplusplus = "1.0"
 proc-macro2 = { version = "1.0", features = ["span-locations"] }
 quote = "1.0"
 syn = { version = "1.0", features = ["full"] }
diff --git a/build.rs b/build.rs
index f16f265..ea562c2 100644
--- a/build.rs
+++ b/build.rs
@@ -3,7 +3,6 @@ fn main() {
         .file("src/cxxbridge.cc")
         .flag("-std=c++11")
         .compile("cxxbridge01");
-    println!("cargo:rustc-flags=-l dylib=stdc++");
     println!("cargo:rerun-if-changed=src/cxxbridge.cc");
     println!("cargo:rerun-if-changed=include/cxxbridge.h");
 }
diff --git a/src/lib.rs b/src/lib.rs
index 5331084..509cfa6 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -342,6 +342,8 @@
     clippy::useless_let_if_seq
 )]
 
+extern crate link_cplusplus;
+
 mod cxx_string;
 mod error;
 mod gen;

